<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
class Currencies{
	
	static private function allCurrencies()
	{
		$array = array();	
		$array['ALL'] = 'Lek';
		$array['AFN'] = '؋';
		$array['ARS'] = '$';
		$array['AWG'] = '&fnof;';
		$array['AUD'] = '$';
		$array['AZN'] = 'ман';
		$array['BSD'] = '$';
		$array['BBD'] = '$';
		$array['BYR'] = 'p.';
		$array['BZD'] = 'BZ$';
		$array['BMD'] = '$';
		$array['BOB'] = '$b';
		$array['BAM'] = 'KM';
		$array['BWP'] = 'P';
		$array['BGN'] = 'лв';
		$array['BRL'] = 'R$';
		$array['BND'] = '$';
		$array['KHR'] = '៛';
		$array['CAD'] = '$';
		$array['KYD'] = '$';
		$array['CLP'] = '$';
		$array['CNY'] = '&yen;';
		$array['COP'] = '$';
		$array['CRC'] = '₡';
		$array['HRK'] = 'kn';
		$array['CUP'] = '₱';
		$array['CZK'] = 'Kč';
		$array['DKK'] = 'kr';
		$array['DOP'] = 'RD$';
		$array['XCD'] = '$';
		$array['EGP'] = '&pound;';
		$array['SVC'] = '$';
		$array['EEK'] = 'kr';
		$array['EUR'] = '&euro;';
		$array['FKP'] = '&pound;';
		$array['FJD'] = '$';
		$array['GHC'] = '&cent;';
		$array['GIP'] = '&pound;';
		$array['GTQ'] = 'Q';
		$array['GGP'] = '&pound;';
		$array['GYD'] = '$';
		$array['HNL'] = 'L';
		$array['HKD'] = '$';
		$array['HUF'] = 'Ft';
		$array['ISK'] = 'kr';
		$array['INR'] = '';
		$array['IDR'] = 'Rp';
		$array['IRR'] = '﷼';
		$array['IMP'] = '&pound;';
		$array['ILS'] = '₪';
		$array['JMD'] = 'J$';
		$array['JPY'] = '&yen;';
		$array['JEP'] = '&pound;';
		$array['KZT'] = 'лв';
		$array['KPW'] = '₩';
		$array['KRW'] = '₩';
		$array['KGS'] = 'лв';
		$array['LAK'] = '₭';
		$array['LVL'] = 'Ls';
		$array['LBP'] = '&pound;';
		$array['LRD'] = '$';
		$array['LTL'] = 'Lt';
		$array['MKD'] = 'ден';
		$array['MYR'] = 'RM';
		$array['MUR'] = '₨';
		$array['MXN'] = '$';
		$array['MNT'] = '₮';
		$array['MZN'] = 'MT';
		$array['NAD'] = '$';
		$array['NPR'] = '₨';
		$array['ANG'] = '&fnof;';
		$array['NZD'] = '$';
		$array['NIO'] = 'C$';
		$array['NGN'] = '₦';
		$array['NOK'] = 'kr';
		$array['OMR'] = '﷼';
		$array['PKR'] = '₨';
		$array['PAB'] = 'B/.';
		$array['PYG'] = 'Gs';
		$array['PEN'] = 'S/.';
		$array['PHP'] = '₱';
		$array['PLN'] = 'zł';
		$array['QAR'] = '﷼';
		$array['RON'] = 'lei';
		$array['RUB'] = 'руб';
		$array['SHP'] = '&pound;';
		$array['SAR'] = '﷼';
		$array['RSD'] = 'Дин.';
		$array['SCR'] = '₨';
		$array['SGD'] = '$';
		$array['SBD'] = '$';
		$array['SOS'] = 'S';
		$array['ZAR'] = 'R';
		$array['LKR'] = '₨';
		$array['SEK'] = 'kr';
		$array['CHF'] = 'CHF';
		$array['SRD'] = '$';
		$array['SYP'] = '&pound;';
		$array['TWD'] = 'NT$';
		$array['THB'] = '฿';
		$array['TTD'] = 'TT$';
		$array['TRY'] = 'TL';
		$array['TRL'] = '₤';
		$array['TVD'] = '$';
		$array['UAH'] = '₴';
		$array['GBP'] = '&pound;';
		$array['USD'] = '$';
		$array['UYU'] = '$U'; 
		$array['UZS'] = 'лв';
		$array['VEF'] = 'Bs';
		$array['VND'] = '₫';
		$array['YER'] = '﷼';
		$array['ZWD'] = 'Z$';
		return $array;
	}
	
	static public function getCurrency($iso)
	{
		$array = self::allCurrencies();
		
		if(isset($array[$iso]))
		{
			$return = $array[$iso];
		}
		else 
		{
			//If we don`t have a currencie for this iso value we give the iso back
			$return = $iso;
			
		}
		return $return;
	}
}
?>