<?php 
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require("../../config.php");
require_once(dirname(__FILE__) .'/class/mpay.class.php');
require_capability('enrol/mpay:config', CONTEXT_SYSTEM);
$code   		= required_param('code', PARAM_MULTILANG);  //couponcode
$courseid   	= required_param('courseid', PARAM_INT);  // course ID 
$status 		= array();

if($courseid > 0)
{
	if (!$course = $DB->get_record('course', array('id' => $courseid))) 
	{
		$status['error'][] = 'No premision';
	}
}

if(!empty($USER->id))
{
	//Must be a real user
	$list = Mpay::getAvailableCoupon($courseid);
	foreach($list as $item)
	{
		if($item->code == $code && !isset($status['ok']))
		{
			$result = Mpay::getEnrolSettings($courseid);
			$lang = current_language();
	        $displaycost = "";
	        $cost = $result->cost;
	        switch ($lang)
	        {
	            case 'en': $displaycost = number_format($cost,2,'.',','); break;
	            case 'nl': $displaycost = number_format($cost,2,',',' '); break;
	            case 'be': $displaycost = number_format($cost,2,',',' '); break;
	            default : $displaycost 	= number_format($cost,2,'.',','); break;
	        }
                $price = ($cost / 100) * (100 - $item->percentage);
	        switch ($lang)
	        {
	            case 'en': $displayprice = number_format($price,2,'.',','); break;
	            case 'nl': $displayprice = number_format($price,2,',',' '); break;
	            case 'be': $displayprice = number_format($price,2,',',' '); break;
	            default : $displayprice 	= number_format($price,2,'.',','); break;
	        }
        
                $prencent = $item->percentage;

        $paymentValidationString = base64_encode(str_rot13($code)) . "-" .
                base64_encode($COURSE->fullname) . "-" .
                base64_encode($cost) . "-" .
                base64_encode($prencent) . "-" .
                base64_encode(str_rot13($CFG->enrol_mpay_websitecode));

        $vs = $paymentValidationString . "-" . md5($paymentValidationString); // Payment validation
        
        
			$status['ok'] = ' '.intval($item->percentage).' % '.get_string('new_price','enrol_mpay').' &euro; '.$displaycost.' => &euro; '.$displayprice;
			$status['vs'] = $vs;
			break;
		}
	}
	if(!isset($status['ok']))
	{
		$status['error'][] = 'The couponcode is not correct. Or not valid.';		
	}
}

echo json_encode($status);