<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");

// setup text strings
$strdiscount = get_string('discountmanager','enrol_mpay');
$strmpay = get_string('enrolname','enrol_mpay');
require_capability('enrol/mpay:config', CONTEXT_SYSTEM);

$editid = optional_param('id',0,PARAM_INT);
$delete = optional_param('delete', 0, PARAM_INT);
$noutput = optional_param('nooutput', 0, PARAM_INT);

$PAGE->set_url('/enrol/mpay/couponedit.php');
$plugin = new enrol_mpay_plugin();

if ($editid > 0 && $delete == 1 && confirm_sesskey())
{

	$plugin->deleteCoupon($editid);

    Mpay::redirect($CFG->wwwroot.'/enrol/mpay/couponmanager.php');
}

if($noutput==0)
{
	$PAGE->set_title(get_string('pluginname','enrol_mpay'));
    $PAGE->set_heading(get_string('pluginname','enrol_mpay'));
    $PAGE->set_cacheable(true);
    $PAGE->set_button('&nbsp;');
    $PAGE->set_headingmenu('');
	echo $OUTPUT->header();
	echo $OUTPUT->box_start('center');
}

$form = new couponedit_form();

if ($editid > 0)
{
	//echo(get_string('editcoupon','enrol_mpay'));
	$currentCoupon = $plugin->getCoupons($editid);

	if(empty($currentCoupon['validfrom']))
	{
		print_error('No longer in DB');
	}
	//Debug::show($currentCoupon);
	$currentCoupon['validfrom'] = strtotime($currentCoupon['validfrom']);
	$currentCoupon['validto'] 	= strtotime($currentCoupon['validto']);

	$form->set_data($currentCoupon);
}
else
{
	if (!$form->is_submitted())
	{
		echo(get_string('addcoupon','enrol_mpay'));
	}
}

if ($data = $form->get_data())
{
	$data->validfrom = date('Y-m-d',$data->validfrom);
	$data->validto = date('Y-m-d',$data->validto);

    if (strlen($data->id) == 0)
    {
    	// Add coupon
    	if ($plugin->addCoupon($data))
    	{
    		Mpay::redirect($CFG->wwwroot.'/enrol/mpay/couponmanager.php');
    	}
    	else
    	{
    		print_error('Unable to add couponcode, please contact Avetica');
    	}
    }
    else
    {
    	// Edit coupon
    	if ($plugin->editCoupon($data))
    	{
    		Mpay::redirect($CFG->wwwroot.'/enrol/mpay/couponmanager.php');
    	}
    	else
    	{
    		print_error('Unable to edit couponcode, please contact Avetica');
    	}
    }
}
if ($form->is_cancelled())
{
	Mpay::redirect($CFG->wwwroot.'/enrol/mpay/couponmanager.php');
}

if($noutput==0)
{
	$form->display();
	echo $OUTPUT->box_end();
	echo $OUTPUT->footer();
}