<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");

$PAGE->navbar->add(get_string('pluginname','enrol_mpay'),new moodle_url('/admin/settings.php',array('section'=>'enrolsettingsmpay')));

// setup text strings
$strdiscount 	= get_string('discountmanager','enrol_mpay');
$strmpay 	= get_string('enrolname','enrol_mpay');
require_capability('enrol/mpay:config', CONTEXT_SYSTEM);
$navigation 	= (array(array('name' => $strmpay, 'link' => "$CFG->wwwroot/admin/enrol_config.php?enrol=mpay", 'type' => 'misc'),
									array('name'=> $strdiscount,'link'=> '', 'type'=>'misc')
                                     ));
$PAGE->set_url('/enrol/mpay/couponmanager.php');
print_header($strdiscount, $strdiscount, $navigation);
echo $OUTPUT->heading(get_string('pluginname','enrol_mpay'));
$plugin 		= new enrol_mpay_plugin();
$currentCoupons = $plugin->getCoupons(0,false);


echo $OUTPUT->box_start('center');
//get_string('currentcouponcodes','enrol_mpay');

if (count($currentCoupons) > 0)
{

   	$tableheaders   = array(get_string('course'),get_string('couponcode','enrol_mpay'),get_string('validfrom','enrol_mpay'),get_string('validto','enrol_mpay'),get_string('percentagediscount','enrol_mpay'), get_string('options','enrol_mpay'));
        $tablecolumns	= array('course','couponcode','validfrom','validto','percentagediscount','options');
	$table 			= new flexible_table('coupon');
	
	$table->define_columns($tablecolumns);
	$table->define_headers($tableheaders);
	$table->collapsible(false);
	$table->initialbars(false);
	$table->pageable(false);
	$table->define_baseurl($CFG->wwwroot.'/enrol/mpay/couponmanager.php');
	//	$table->column_style('action', 'width', '10%');
	//	$table->column_style('action', 'white-space', 'nowrap');
	//style
	$table->set_attribute('cellspacing', '0');
	$table->set_attribute('class', 'generaltable generalbox');
	$table->set_attribute('align', 'center');
	$table->set_attribute('width', '100%');
	
	$table->setup(); 
	
    foreach($currentCoupons as $coupon)
    {
    	if ($coupon['courseid'] > 0)
    	{
    		$course = $DB->get_record('course',array('id'=>$coupon['courseid']));
    		$coursename = $course->fullname;
    	}
    	else
    	{
    		$coursename = get_string('entiresite','enrol_mpay');
    	}
    
        $table->add_data( array(
        					$coursename,
                            '<span style="font-size:10px">'.$coupon['code'].'</span>',
                            $coupon['validfrom'],
                            $coupon['validto'],
                            $coupon['percentage']." %",
                            '<a href="'.$CFG->wwwroot.'/enrol/mpay/couponedit.php?id='.$coupon['id'].'">'.get_string('edit').'</a>'. '- '.
                            '<a href="'.$CFG->wwwroot.'/enrol/mpay/couponedit.php?id='.$coupon['id'].'&delete=1&sesskey='.sesskey().'">'.get_string('delete').'</a>'
                            ));
    }
	$table->print_html();
}

echo $OUTPUT->single_button($CFG->wwwroot.'/enrol/mpay/couponedit.php',get_string('adddiscount','enrol_mpay'));
echo $OUTPUT->box_end();
echo $OUTPUT->footer();