<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
# This file is used to download the courselist and prices for the web frontend
# Only called when it's needed, so no need to real secret encryption techniques.

require_once("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");
require_once dirname(__FILE__)."/class/mpay.class.php";

$websitecode = required_param('websitecode', PARAM_ALPHANUM);
header ("Content-Type:text/xml");  
$xmltext = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<responselist></responselist>";

if (!isset($CFG->enrol_mpay_websitecode) || strlen($CFG->enrol_mpay_websitecode) < 2)
{
    $sxe = new SimpleXMLElement($xmltext);
    $sxe->addChild("return","error");
    $sxe->addChild("error","No websitecode present @ system");
    echo $sxe->asXML();
    exit;
}

if ($websitecode != $CFG->enrol_mpay_websitecode)
{
    $sxe = new SimpleXMLElement($xmltext);
    $sxe->addChild("return","error");
    $sxe->addChild("error","Website code invalid");
    echo $sxe->asXML();
    exit;
}

# If we're still alive here, the thingy matches, and we may display stuff

$courses = $DB->get_records('course');
$sxe = new SimpleXMLElement($xmltext);
$sxe->addChild("return","result");
foreach ($courses as $course)
{
	$settings = Mpay::getEnrolSettings($course->id);
	if(!$settings)
	{
		$settings 			= new stdClass();
		$settings->cost 	= 0;
		$settings->currency = '';
	}
	
    $c = $sxe->addChild("course");
    $c->addChild('id',$course->id);
    $c->addChild('fullname',$course->fullname);
    $c->addChild('shortname',$course->shortname);
    $c->addChild('currency',$settings->currency);
    $c->addChild('cost',$settings->cost);
    $c->addChild('timemodified',$course->timemodified);
}
echo $sxe->asXML();
exit;
?>