<?php

defined('MOODLE_INTERNAL') || die();

function xmldb_enrol_mpay_install() {
    global $DB;

    /// make sure system context exists
    $syscontext = context_system::instance();
    if ($syscontext->id != 1) {
        throw new moodle_exception('generalexceptionmessage', 'error', '', 'Unexpected new system context id!');
    }

    //Adding default values
    //(1, 'iDeal', 'ideal', 1.25, 9999.99)
    $std = new stdClass();
    $std->method_id = 1;
    $std->name = 'iDeal';
    $std->systemname = 'ideal';
    $std->minamount = 1.25;
    $std->maxamount = 9999.99;
    $res = $DB->insert_record('enrol_mpay_methods', $std);

    if ($res) {
        echo 'Install default values (Ideal)' . '<br/>';
    }

    $array = array(0 => array('bankid' => '0751', 'name' => 'SNS Bank', 'demo_mode' => 0),
        1 => array('bankid' => '0721', 'name' => 'ING', 'demo_mode' => 0),
        2 => array('bankid' => '0021', 'name' => 'Rabobank', 'demo_mode' => 0),
        3 => array('bankid' => '0081', 'name' => 'Fortis', 'demo_mode' => 0),
        4 => array('bankid' => '0031', 'name' => 'ABN Amro Bank', 'demo_mode' => 0));

    foreach ($array as $key => $item) {
        $std = new stdClass();
        $std->bankid = $item['bankid'];
        $std->name = $item['name'];
        $std->demo_mode = $item['demo_mode'];
        $res = $DB->insert_record('enrol_mpay_idealbank', $std);
        if ($res) {
            echo 'Install default values (bank) -' . $key . ': ' . $item['name'] . '<br/>';
        }
    }
}

