<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");

// setup text strings
$strdiscount = get_string('discountmanager','enrol_mpay');
$strmpay = get_string('enrolname','enrol_mpay');

require_capability('enrol/mpay:config', CONTEXT_SYSTEM);

$editid 	= optional_param('id',0,PARAM_INT);
$delete 	= optional_param('delete', 0, PARAM_INT);
$noutput 	= optional_param('nooutput', 0, PARAM_INT);
$plugin 	= new enrol_mpay_plugin();
$PAGE->set_url('/enrol/mpay/vatmanager.php');

if ($editid > 0 && $delete == 1 && confirm_sesskey())
{
	$plugin->deleteVat($editid);
    Mpay::redirect($CFG->wwwroot.'/enrol/mpay/vatmanager.php');
}

if($noutput==0)
{   
	$PAGE->set_title(get_string('pluginname','enrol_mpay'));
        $PAGE->set_heading(get_string('pluginname','enrol_mpay'));
	echo $OUTPUT->header();
	$OUTPUT->box_start('center');
}

$form = new vatedit_form();

if ($editid > 0)
{
	echo(get_string('editvat','enrol_mpay'));
	$currentVat = $plugin->getVats($editid);
	$currentVat['course'] = $currentVat['courseid'];
	$form->set_data($currentVat);
}
else
{
	if (!$form->is_submitted())
	{
		echo(get_string('addvat','enrol_mpay'));
	}
}

if ($data = $form->get_data())
{
    if (!isset($data->percentage))
    {
            $data->percentage = 0;
    }
    if (strlen($data->id) == 0 || $data->id == 0)
    {
    	// Add coupon
    	if ($plugin->addVat($data))
    	{
    		Mpay::redirect($CFG->wwwroot.'/enrol/mpay/vatmanager.php');
    	}
    	else
    	{
    		print_error('Unable to add VAT exception, please contact Avetica');
    	}
    }
    else
    {
    	// Edit coupon
    	if ($plugin->editVat($data))
    	{
    		Mpay::redirect($CFG->wwwroot.'/enrol/mpay/vatmanager.php');
    	}
    	else
    	{
    		print_error('Unable to edit VAT exception, please contact Avetica');
    	}
    }
}
if ($form->is_cancelled())
{
	Mpay::redirect($CFG->wwwroot.'/enrol/mpay/vatmanager.php');
}
if($noutput==0)
{   
	$form->display();
        $OUTPUT->box_end();
	echo $OUTPUT->footer();
}