<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require_once("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");

$PAGE->navbar->add(get_string('pluginname','enrol_mpay'),new moodle_url('/admin/settings.php',array('section'=>'enrolsettingsmpay')));
// setup text strings
$strvat = get_string('vatmanager','enrol_mpay');
$strmpay = get_string('enrolname','enrol_mpay');

require_capability('enrol/mpay:config', CONTEXT_SYSTEM);

$PAGE->set_title(get_string('pluginname','enrol_mpay'));
$PAGE->set_heading(get_string('pluginname','enrol_mpay'));
$PAGE->set_button('&nbsp;');
$PAGE->set_url('/enrol/mpay/vatmanager.php');
echo $OUTPUT->header();

$plugin 		= new enrol_mpay_plugin();
$currentCoupons = $plugin->getVats();


$OUTPUT->box_start('center');
echo(get_string('vatexceptions','enrol_mpay'));

if (count($currentCoupons) > 0)
{
  	$tableheaders   = array(get_string('course'),get_string('vatpercentage','enrol_mpay'), get_string('options','enrol_mpay'));
        $tablecolumns	= array('course','vatpercentage','options');
	$table 			= new flexible_table('vat');
	
	$table->define_columns($tablecolumns);
	$table->define_headers($tableheaders);
	$table->collapsible(false);
	$table->initialbars(false);
	$table->pageable(false);
	$table->define_baseurl($CFG->wwwroot.'/enrol/mpay/vatmanager.php');
	//	$table->column_style('action', 'width', '10%');
	//	$table->column_style('action', 'white-space', 'nowrap');
	//style
	$table->set_attribute('cellspacing', '0');
	$table->set_attribute('class', 'generaltable generalbox');
	$table->set_attribute('align', 'center');
	$table->set_attribute('width', '100%');
	
	$table->setup(); 
	
    foreach($currentCoupons as $coupon)
    {
    	if ($coupon['courseid'] > 0)
    	{
    		$course = $DB->get_record('course',array('id'=>$coupon['courseid']));
    		$coursename = $course->fullname;
    	}
    	else
    	{
    		$coursename = get_string('entiresite','enrol_mpay');
    	}
    	
       	$table->add_data(array(
        					$coursename,
                            $coupon['percentage']." %",
                            '<a href="'.$CFG->wwwroot.'/enrol/mpay/vatedit.php?id='.$coupon['id'].'">'.get_string('edit').'</a>'. '- '.
                            '<a href="'.$CFG->wwwroot.'/enrol/mpay/vatedit.php?id='.$coupon['id'].'&delete=1&sesskey='.sesskey().'">'.get_string('delete').'</a>'
                            ));
    }
	$table->print_html();
}
echo $OUTPUT->single_button($CFG->wwwroot.'/enrol/mpay/vatedit.php',get_string('addvat','enrol_mpay'));
$OUTPUT->box_end();
echo $OUTPUT->footer();